+================================================
+                                                
+ Emc2 / LinuxCNC - Vectric machine output configuration file   
+ Wraps X values around  the Y axis, values are output as A.                                              
+================================================
+                                                
+ History                                        
+                                                
+ Who    When       What                         
+ ======== ========== ===========================
+ Tony     02/08/2005 Written 
+ Pieter   20/06/2008 adapted for EMC2, begin + end
+					  its uses M7 to start coolant/vacu-cleaner
+ Mark	   28/06/2008 Added Arcs and new segment section.
+ Mark     11/08/2008 Inch version. 
+ Mark     11/02/2015 WrapX2A version.
+ Shawn Gano 13-Aug-2016  -- customized, fixed spacing for rapid moves
+ Shawn Gano 18-Aug-2016  -- changed ROTARY_WRAP_X from -A to A, as results were inverted
+================================================

POST_NAME = "LinuxCNC - WrapX2A (no Tool Sensor) - Inch(*.ngc)"

FILE_EXTENSION = "ngc"

UNITS = "INCHES"

ROTARY_WRAP_X = "A"

SUBSTITUTE = "({)}"

+------------------------------------------------
+    Line terminating characters                 
+------------------------------------------------

+LINE_ENDING = "[13][10]"
+ SEG changed to match non-rotary versions
LINE_ENDING = "[10]"

+------------------------------------------------
+    Block numbering                             
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+                                                
+    Formating for variables                     
+                                                
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|A|X|1.4]
VAR Y_POSITION = [Y|A|Y|1.4]
VAR Z_POSITION = [Z|A|Z|1.4]
VAR X_HOME_POSITION = [XH|A|X|1.4]
VAR Y_HOME_POSITION = [YH|A|Y|1.4]
VAR Z_HOME_POSITION = [ZH|A|Z|1.4]
VAR SAFE_Z_HEIGHT = [SAFEZ|A|Z|1.4]
VAR WRAP_DIAMETER = [WRAP_DIA|A||1.4]

+================================================
+                                                
+    Block definitions for toolpath output       
+                                                
+================================================

+---------------------------------------------------
+  Commands output at the start of the file
+---------------------------------------------------

begin HEADER

"%"
"(LinuxCNC ROTARY - wrapped X to A - NO Tool Length Compensation)"
"(-------------------)"
"(Created: [DATE]  [TIME] )"
"(-------------------)"
"(Material Size:  Diameter: [WRAP_DIA]   Y: [YLENGTH]   Z: [ZLENGTH] )"
"(                Circumference X: [XLENGTH]    )"
"(XY-Origin: [XY_ORIGIN] )"
"(Z-Origin : [Z_ORIGIN]  )"
"(-------------------)"
"(Tool Compensation G43 / Sensor: NO  )"
"(Prompt for First Tool Load:     NO  )"
"(-------------------)"
"(Tool list:               )"
"(      - No. [TOOLS_USED] )"
"(Tool paths:              )"
"(      - [TOOLPATHS_OUTPUT] )"
"(NOTES:                   )"
"(   [FILE_NOTES]   )"
" "
"(------ SETUP ------)"
"G64 P0.001  (Path Blending Optimization, tolerance=0.001 slow and accurate, =0.010 faster and less accurate)"
"G17 (Plane Select: XY)"
"G20 (Length Units: inches)"
"G40 (Turn cutter compensation off)"
"G49 (Cancel tool length compensation)"
"G54 (Select coordinate system 1)"
"G80 (Cancel canned cycle motion)"
"G90 (Set absolute distance mode)"
"G94 (Feed Rate Mode: units per minute)"
"(------ END SETUP ------)"
" "
"G4 P3.0 (initial dwell/wait for 3 seconds)"
" "
"(------ STARTUP ------)"
"G00 [ZH] (Go to Z-Home)"
"G00 [XH] [YH] [S] (Go to XY-Home)"
"M3 M8 [S] (turn spindle on, coolant/dust on, set spindle speed)"
"G4 P1.5 (dwell/wait for 1.5 sec for spindle to spin-up)"
"(------ END STARTUP ------)"
" "

+---------------------------------------------------
+  Commands output for rapid moves 
+---------------------------------------------------

begin RAPID_MOVE

"G00 [X] [Y] [Z]"

+---------------------------------------------------
+  Commands output for the first feed rate move
+---------------------------------------------------

begin FIRST_FEED_MOVE

"G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  Commands output for feed rate moves
+---------------------------------------------------

begin FEED_MOVE

"[X] [Y] [Z]"

+---------------------------------------------------
+  Commands output for a new segment - toolpath
+  with same toolnumber but maybe different feedrates
+---------------------------------------------------

begin NEW_SEGMENT

"(---- NEW SEGMENT ----)"
"M3 M8 [S]  (New Segment - ensure spindle and coolant/dust are on, set new spindle speed)"
" "

+---------------------------------------------------
+  Commands output at the end of the file
+---------------------------------------------------

begin FOOTER

" "
"(---- END PROGRAM ----)"
"G00 [ZH] (go to z-Home)"
"M5  (turn spindle off)"
"M9  (turn coolant/dust off)"
"G00 [XH] [YH] (go to xy-home)"
"G40 (Turn off cutter compensation)"
"M30 (End Program)"
"%"

